package de.mdelab.mlsdm.interpreter.searchModel.model;

import org.eclipse.emf.ecore.EClassifier;
import org.eclipse.emf.ecore.EStructuralFeature;

import de.mdelab.mlexpressions.MLExpression;
import de.mdelab.mlstorypatterns.AbstractStoryPatternLink;
import de.mdelab.mlstorypatterns.AbstractStoryPatternObject;
import de.mdelab.mlstorypatterns.StoryPattern;
import de.mdelab.sdm.interpreter.core.patternmatcher.searchModelBased.PatternConstraint;

/**
 * This is a pattern constraint implementation for the MLSDM
 * meta model.
 * 
 * @author Matthias.Barkowsky
 *
 */
public class MLSDMPatternConstraint extends PatternConstraint<StoryPattern, AbstractStoryPatternObject, AbstractStoryPatternLink, EClassifier, EStructuralFeature, MLExpression> {

	public MLSDMPatternConstraint(Object constraint) {
		super(constraint);
	}

}
