package de.mdelab.mlsdm.interpreter.searchModel.patternMatcher.expressions;

import java.util.List;
import java.util.Map;
import java.util.Set;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import de.mdelab.mlexpressions.MLExpression;
import de.mdelab.mlsdm.interpreter.searchModel.patternMatcher.MLSDMReferenceIndex;
import de.mdelab.sdm.interpreter.ocl.OCLExpressionInterpreter;

public class MLSDMAdapterBackedOCLExpressionInterpreter
		extends
			OCLExpressionInterpreter<MLExpression> {

	private MLSDMReferenceIndex ra;

	public MLSDMAdapterBackedOCLExpressionInterpreter(MLSDMReferenceIndex ra) {
		this.ra = ra;
	}
	
	@Override
	protected Map<EClass, ? extends Set<? extends EObject>> getExtentMap(List<EObject> contextObjects) {
		return ra.getInstanceDomains();
	}

}
