package de.mdelab.mlsdm.interpreter.eclipse;

import de.mdelab.mlsdm.interpreter.MLSDMInterpreter;
import de.mdelab.mlsdm.interpreter.facade.MLSDMMetamodelFacadeFactory;
import de.mdelab.sdm.interpreter.core.SDMException;

public class MLSDMFactoryInterpreterLauncher extends MLSDMEclipseInterpreterLauncher {

	private MLSDMEclipseInterpreterFactory factory;
	
	public MLSDMFactoryInterpreterLauncher(MLSDMEclipseInterpreterFactory p_factory) {
		factory = p_factory;
	}

	@Override
	protected MLSDMInterpreter createInterpreter( final MLSDMMetamodelFacadeFactory p_facadeFactory )
			throws SDMException{
		if(factory == null) {
			return super.createInterpreter(p_facadeFactory);
		}
		MLSDMInterpreter interpreter = factory.createInterpreter(classLoader);
		
		return interpreter;
	}
	
}
